summaryrefslogtreecommitdiffstats
path: root/misc
diff options
context:
space:
mode:
author Hunter Sezen <ovariegata@yahoo.com>2016-12-16 10:29:26 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2016-12-17 01:18:27 +0700
commite4239268a33152a5630083182e141e60d17fa16d (patch)
tree412c4036029840ada5b23c38b9a719e8251ec416 /misc
parent303cbe0c1e7513d328a6936273ca8c7f5d7c45bb (diff)
downloadslackbuilds-e4239268a33152a5630083182e141e60d17fa16d.tar.gz
slackbuilds-e4239268a33152a5630083182e141e60d17fa16d.tar.xz
misc/floating-IPS: Added (IPS and BPS patcher).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'misc')
-rw-r--r--misc/floating-IPS/README2
-rw-r--r--misc/floating-IPS/floating-IPS.SlackBuild71
-rw-r--r--misc/floating-IPS/floating-IPS.info10
-rw-r--r--misc/floating-IPS/slack-desc19
4 files changed, 102 insertions, 0 deletions
diff --git a/misc/floating-IPS/README b/misc/floating-IPS/README
new file mode 100644
index 0000000000..50381599f2
--- /dev/null
+++ b/misc/floating-IPS/README
@@ -0,0 +1,2 @@
+Floating IPS is a patcher for IPS and BPS files, aiming for a simple
+interface yet plenty of power under the hood.
diff --git a/misc/floating-IPS/floating-IPS.SlackBuild b/misc/floating-IPS/floating-IPS.SlackBuild
new file mode 100644
index 0000000000..221500a3cd
--- /dev/null
+++ b/misc/floating-IPS/floating-IPS.SlackBuild
@@ -0,0 +1,71 @@
+#!/bin/sh
+
+# Slackware build script for floating IPS
+
+# Copyright 2016 Hunter Sezen California, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=floating-IPS
+ZIPNAM=$(echo $PRGNAM | cut -f1 -d"-")
+VERSION=${VERSION:-1.31}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+unzip $CWD/$ZIPNAM.zip -d $PRGNAM-$VERSION
+cd $PRGNAM-$VERSION
+unzip src.zip -d src
+unzip boring.zip
+chown -R root:root .
+find -L . \
+ \( -type f -exec chmod 644 {} \; \) -o \
+ \( -type d -exec chmod 755 {} \; \)
+
+make -C src
+
+install -Dm0755 src/flips $PKG/usr/bin/flips
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a *.txt $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/misc/floating-IPS/floating-IPS.info b/misc/floating-IPS/floating-IPS.info
new file mode 100644
index 0000000000..6a63b81a09
--- /dev/null
+++ b/misc/floating-IPS/floating-IPS.info
@@ -0,0 +1,10 @@
+PRGNAM="floating-IPS"
+VERSION="1.31"
+HOMEPAGE="http://www.smwcentral.net/?p=section&a=details&id=11474"
+DOWNLOAD="http://dl.smwcentral.net/11474/floating.zip"
+MD5SUM="941a034187995558ea408b55b92c7e7d"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Hunter Sezen"
+EMAIL="ovariegata@yahoo.com"
diff --git a/misc/floating-IPS/slack-desc b/misc/floating-IPS/slack-desc
new file mode 100644
index 0000000000..bde4e5ec7b
--- /dev/null
+++ b/misc/floating-IPS/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+floating-IPS: floating-IPS (IPS and BPS patcher)
+floating-IPS:
+floating-IPS: Floating IPS is a patcher for IPS and BPS files.
+floating-IPS:
+floating-IPS: Homepage: http://www.smwcentral.net/?p=viewthread&t=61289
+floating-IPS:
+floating-IPS:
+floating-IPS:
+floating-IPS:
+floating-IPS:
+floating-IPS: